Browse Source

Drop py35 jobs

Python 3.5 was the target runtime for the Rocky release.
The current target py3 runtime for Stein is Python 3.6,
so there is no reason to keep testing against the older version.

https://governance.openstack.org/tc/reference/runtimes/stein.html#python-runtime-for-stein

Change-Id: Ie8dbbf3180da6ba487cebfa40bf831f20ba33a90
Vishakha Agarwal 1 month ago
parent
commit
0c1f6fb480
3 changed files with 3 additions and 3 deletions
  1. 0
    1
      .zuul.yaml
  2. 2
    1
      setup.cfg
  3. 1
    1
      tox.ini

+ 0
- 1
.zuul.yaml View File

@@ -3,7 +3,6 @@
3 3
       - check-requirements
4 4
       - openstack-lower-constraints-jobs
5 5
       - openstack-python-jobs
6
-      - openstack-python35-jobs
7 6
       - openstack-python36-jobs
8 7
       - openstack-python37-jobs
9 8
       - release-notes-jobs-python3

+ 2
- 1
setup.cfg View File

@@ -14,7 +14,8 @@ classifier =
14 14
     Programming Language :: Python :: 2
15 15
     Programming Language :: Python :: 2.7
16 16
     Programming Language :: Python :: 3
17
-    Programming Language :: Python :: 3.5
17
+    Programming Language :: Python :: 3.6
18
+    Programming Language :: Python :: 3.7
18 19
 
19 20
 [files]
20 21
 packages =

+ 1
- 1
tox.ini View File

@@ -1,7 +1,7 @@
1 1
 [tox]
2 2
 minversion = 2.0
3 3
 skipsdist = True
4
-envlist = py27,py35,py36,py37,pep8,cover,docs,releasenotes
4
+envlist = py27,py36,py37,pep8,cover,docs,releasenotes
5 5
 
6 6
 [testenv]
7 7
 usedevelop = True

Loading…
Cancel
Save